Subject: Re: posix threads (pthread32) undefined references
From: [email-masked] (Ben Elliston)

30 Oct 1998 21:08:54 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Stipe Tolj <[email-masked]>
Cc: Alex Madarasz <[email-masked]>, [email-masked],
        [email-masked], [email-masked]

Hi Stipe,

> > And, I just stumbled across this alternative alternative at :
> >    <ftp://egcs.cygnus.com/pub/pthreads-win32/>

Please use the CVS repository we have on sourceware.cygnus.com, if you
can.  The snapshot that is there is for people who have no access to CVS,
but it makes life harder.

> I have configure/make the libpthread32.a library using cygwin32 b19.3
> egcs, gcc from cdk.exe). When I tried to compile the distributed test
> programs I get the following undefined reference errors:

> % gcc create1.c -I.. -L.. -lpthread32
> ../libpthread32.a(create.o)(.text+0x19a):create.c: undefined reference
> to
> `_beginthreadex'
> ../libpthread32.a(exit.o)(.text+0xbe):exit.c: undefined reference to
> `_endthreadex'
> ../libpthread32.a(mutex.o)(.text+0x11e):mutex.c: undefined reference to
> `TryEnterCriticalSection'

Ah yes.  Are you using Windows 95 or NT?

There has been a recent discussion about why these aren't in Cygwin's
library stubs and I'm not sure what the outcome was.  Anyone?

Ben

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".